import { Component, OnInit } from "@angular/core";
import { Router, ActivatedRoute } from "@angular/router";
import { NzMessageService } from "ng-zorro-antd";

import { MainService } from "../../services/main.service";

@Component({
  selector: "app-office-detail",
  templateUrl: "./office-detail.component.html",
  styleUrls: ["./office-detail.component.less"],
})
export class OfficeDetailComponent implements OnInit {
  constructor(
    private message: NzMessageService,
    private router: Router,
    private mainService: MainService,
    private routerInfo: ActivatedRoute
  ) {}

  id: number;
  officeInfo: any = {};

  ngOnInit() {
    this.getDetail();
  }
  hideModal() {
    this.router.navigateByUrl("/main/officeManagement");
  }

  // 获取详情
  maskFlag: any = false;
  getDetail() {
    this.id = this.routerInfo.snapshot.params["id"];
    this.maskFlag = this.message.loading("正在加载中..", {
      nzDuration: 0,
    }).messageId;
    this.mainService
      .getFetchData("data", "department", this.id)
      .subscribe((data) => {
        this.message.remove(this.maskFlag);
        this.maskFlag = false;
        this.officeInfo = data.data;
      });
  }
}
